Subject: [weirds] Verisign Labs Experimental Implementation of RDAP with Federated Authentication

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 3 Feb 2016 17:07:50 +0000

I'd like to invite the members of this list to participate in an experiment that's focused on evaluating how well RDAP can be implemented with support for federated authentication using OpenID Connect. The details of the protocol specification and implementation approach are described in an Internet-Draft that I'm developing:

https://datatracker.ietf.org/doc/draft-hollenbeck-weirds-rdap-openid/

The I-D might be a little too much detail for someone who just wants to try out the service, though. The easiest way to participate is to use a web browser pointed here:

https://rdap.verisignlabs.com/

Please read the Internet-Draft if you're not interested in using a web browser. It describes the proposed protocol parameters and interactions with non-browser clients. The I-D isn't (yet?) a working group document, but we can certainly discuss it on this list as necessary.

Our web interface can be used to submit RDAP queries for domains, name servers, and entities registered in the .cc and .tv ccTLDs. The web form contains two elements: 1) a drop-down menu that allows you to select the type of object you wish to look up, and 2) the name of the object you wish to look up, such as "nic.tv" (with no quotes).

You'll see two command buttons on the form. The "Don't Authenticate" button will submit an RDAP query without client authentication. The "Authenticate" button will start the process of submitting an authenticated RDAP query by prompting you to enter an OpenID identifier. We currently accept identifiers issued by Google (in the form of Gmail addresses) and Microsoft (in the form of Hotmail addresses).

"Don't Authenticate" will return an RDAP response that contains very limited information to demonstrate how the amount of returned information can be controlled based on client identity and authorization. Successful client authentication using "Authenticate" will return more, but still not complete, information. We plan to add support for additional Identity Providers that will be authorized to return full information in the future as the experiment evolves. I'm especially interested in working with implementers who may be interested in setting up an Identity Provider and participating in the experiment.

I've set up an email address that you can use to communicate with the development team. Please send questions and/or feedback to [email-masked].

The experiment's terms of use can be found here:

https://rdap.verisignlabs.com/termsofuse

The experiment will run until June 3, 2016. We will evaluate the results at that time and we will decide if the experiment will be extended or come to an end. We reserve the right to end the experiment at any time before then.

Thank you, and please feel free to contact me directly with any questions.

Scott